FLANG

Public Member Functions | List of all members
Fortran::semantics::ExprChecker Class Reference

## Public Member Functions
| ExprChecker (SemanticsContext &)
template<typename A >
bool | Pre (const A &)
template<typename A >
void | Post (const A &)
bool | Walk (const parser::Program &)
bool | Pre (const parser::Expr &x)
bool | Pre (const parser::Variable &x)
bool | Pre (const parser::DataStmtValue &x)
bool | Pre (const parser::DataImpliedDo &)
bool | Pre (const parser::CallStmt &x)
bool | Pre (const parser::AssignmentStmt &x)
bool | Pre (const parser::PointerAssignmentStmt &x)
template<typename A >
bool | Pre (const parser::Scalar< A > &x)
template<typename A >
bool | Pre (const parser::Constant< A > &x)
template<typename A >
bool | Pre (const parser::Integer< A > &x)
template<typename A >
bool | Pre (const parser::Logical< A > &x)
template<typename A >
bool | Pre (const parser::DefaultChar< A > &x)

The documentation for this class was generated from the following files:

- include/flang/Semantics/expression.h
- lib/Semantics/expression.cpp